Subject: Bug#616: Finally managed to record the issue "on tape"

From: Oleksandr Shneyder <[email-masked]>
Date: Mon, 24 Nov 2014 15:38:58 +0100

Hello Stefan,

I tried to launch newest client from nightly builds on Win7. I see a
"waiting" pointer on the start of x2go client. But in this time I can
use X2Go Client without problem and UI is responsible at that time. Did
I understand you right? You have 5 sec. delay and during this delay you
can't use a UI?

regards,
Alex

Am 22.10.2014 16:55, schrieb Stefan Baur:
> Hi everyone,
> 
> please have a look at http://youtu.be/5RJ2kwrgeXI
> 
> This is X2Go Client 4.0.3.0 showing the 5-second startup delay
> (hourglass cursor).
> 
> Note that the on-access virus scanner was disabled for this recording,
> as can be seen on the lower right (red icon), so we can that one rule
> out as the cause of the problem.
> 
> Things I learned, trying to capture this:
> - The effect does not occur inside a VMware Workstation VM.
>   So you neither see it nor will you be able to record it there.
> - The effect does occur on real hardware as well as on a Linux-LVM
>   accessed via RDP.
> - It is impossible to record the effect using CamStudio.
>   While you can witness the effect occurring live, the recorded video
>   will only show the regular mouse arrow.
> - Recording the effect was possible using Microsoft Expression Encoder.
>   $DEITY knows why.
> 
> @Alex: This effect occurs since you tried to introduce the "reaper"
> process (even before you split x2goclient.exe into half with the
> helper, I think).
> It was not present before that.
> 
> Kind Regards,
> Stefan
> 
> 

-- 
-----------------------------------------------------------
Oleksandr Shneyder        | Email: [email-masked]
phoca GmbH                | Tel. : 0911 - 14870374 0
Ludwig-Feuerbach-str. 18  | Fax. : 0911 - 14870374 9
D-90489 Nürnberg          | Mobil: 0163 - 49 64 461

Geschäftsführung:
Dipl.-Inf. Oleksandr Shneyder

Amtsgericht München | http://www.phoca-gmbh.de
HRB 196 658         | http://www.x2go.org
USt-IdNr.: DE281977973
-----------------------------------------------------------